org.apache.ignite.springdata22.repository.support

## Class IgniteRepositoryFactory

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFactorySupport
  - - org.apache.ignite.springdata22.repository.support.IgniteRepositoryFactory

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware

      public class IgniteRepositoryFactory
      extends org.springframework.data.repository.core.support.RepositoryFactorySupport

  Crucial for spring-data functionality class. Create proxies for repositories.

  Supports multiple Ignite Instances on same JVM.

  This is pretty useful working with Spring repositories bound to different Ignite intances within same application.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.data.repository.core.support.RepositoryFactorySupport

      `org.springframework.data.repository.core.support.RepositoryFactorySupport.ImplementationMethodExecutionInterceptor, org.springframework.data.repository.core.support.RepositoryFactorySupport.QueryExecutorMethodInterceptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteRepositoryFactory(org.springframework.context.ApplicationContext ctx)` Creates the factory with initialized `Ignite` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T,ID> org.springframework.data.repository.core.EntityInformation<T,ID>` | `getEntityInformation(Class<T> domainClass)`
    `protected Optional<org.springframework.data.repository.query.QueryLookupStrategy>` | `getQueryLookupStrategy(org.springframework.data.repository.query.QueryLookupStrategy.Key key, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)`
    `protected Class<?>` | `getRepositoryBaseClass(org.springframework.data.repository.core.RepositoryMetadata metadata)`
    `protected org.springframework.data.repository.core.RepositoryMetadata` | `getRepositoryMetadata(Class<?> repoItf)`
    `protected Object` | `getTargetRepository(org.springframework.data.repository.core.RepositoryInformation metadata)`
    `static boolean` | `isFieldQuery(String qry)`

    - ### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactorySupport

      `addQueryCreationListener, addRepositoryProxyPostProcessor, getProjectionFactory, getQueryMethods, getRepository, getRepository, getRepository, getRepositoryFragments, getRepositoryInformation, getTargetRepositoryViaReflection, getTargetRepositoryViaReflection, setBeanClassLoader, setBeanFactory, setEvaluationContextProvider, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteRepositoryFactory

          public IgniteRepositoryFactory(org.springframework.context.ApplicationContext ctx)

      Creates the factory with initialized `Ignite` instance.
      Parameters:
        `ctx` - the ctx

  - ### Method Detail

    - #### getEntityInformation

          public <T,ID> org.springframework.data.repository.core.EntityInformation<T,ID> getEntityInformation(Class<T> domainClass)

      Specified by:
        `getEntityInformation` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

    - #### getRepositoryBaseClass

          protected Class<?> getRepositoryBaseClass(org.springframework.data.repository.core.RepositoryMetadata metadata)

      Specified by:
        `getRepositoryBaseClass` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

    - #### getRepositoryMetadata

          protected org.springframework.data.repository.core.RepositoryMetadata getRepositoryMetadata(Class<?> repoItf)

      Overrides:
        `getRepositoryMetadata` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

    - #### getTargetRepository

          protected Object getTargetRepository(org.springframework.data.repository.core.RepositoryInformation metadata)

      Specified by:
        `getTargetRepository` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

    - #### getQueryLookupStrategy

          protected Optional<org.springframework.data.repository.query.QueryLookupStrategy> getQueryLookupStrategy(org.springframework.data.repository.query.QueryLookupStrategy.Key key,
                                                                                                                   org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)

      Overrides:
        `getQueryLookupStrategy` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

    - #### isFieldQuery

          public static boolean isFieldQuery(String qry)

      Parameters:
        `qry` - Query string.
      Returns:
        `true` if query is SqlFieldsQuery.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020